Edushade Docs
Sections

List Sections

GET
/admin/learning/sections
AuthorizationBearer <token>

In: header

Query Parameters

page?number

Page number

Default1
Range1 <= value
per_page?number

Number of sections per page

Default20
Range1 <= value <= 100
course_id?string

Filter by course ID

Defaultnull
Formatuuid
cohort_id?string

Filter by cohort ID

Defaultnull
Formatuuid
breakpoint_id?string

Filter by breakpoint ID

Defaultnull
Formatuuid
status?string

Filter by status (values: draft, published, archived)

Defaultnull
Value in"draft" | "published" | "archived"

Response Body

curl -X GET "https://edushade.com/api/v1/admin/learning/sections?page=1&per_page=20&status=draft"
{}
Empty
Empty
Empty